#!/usr/bin/env Python
# -*- coding: utf-8 -*-
# Lade benötigte Module
import scribus
import csv
import os.path
from xml.sax.saxutils import escape

# Abfrage der Scribus-Datei, anschließend Datei öffnen:
slafile = scribus.fileDialog("Bitte eine Scribus-Datei auswählen.", "Scribus-Dateien (*.sla)", "DokumentMitPlatzhaltern.sla")
ifile = open(slafile, "r").read()
# Abfrage der CSV-Datei, anschließend Datei öffnen:
csvfile = scribus.fileDialog("Bitte eine CSV-Datei auswählen.", "CSV-Dateien (*.csv)", "test.csv")
f = open(csvfile, "r")
# CSV-Datei einlesen und Parameter in Scribus-Datei durch Werte ersetzen:
csv_f = csv.reader(f, delimiter=';', quotechar="'", escapechar="\\")
for row in csv_f:
 ifile = ifile.replace("#"+row[0]+"#", escape(row[1].replace("<br>", "\n"), {'"':"&quot;"}))

# Suffix der neuen Datei ermitteln:
filesuffix = scribus.valueDialog("Suffix der neuen Datei", "Bitte geben Sie einen Suffix für die neue Datei ein:", "neu")
if filesuffix == "":
 filesuffix = scribus.valueDialog("Suffix der neuen Datei", "Bitte geben Sie einen Suffix für die neue Datei ein:", "neu")

# Neue Datei speichern (vorher prüfen, ob Datei bereits existiert und ggf. Fehlermeldung ausgeben):
newfile = slafile.replace(".sla", "_"+filesuffix+".sla")
if os.path.isfile(newfile):
 scribus.messageBox("Fehler: Datei bereits vorhanden", "Die Datei „"+newfile+"“ ist bereits vorhanden.\nDas Script wurde abgebrochen; Starten Sie es neu und geben sie einen anderes Suffix an oder verschieben sie bereits vorhandene die Datei.")
else:
# Ausgegebene Datei öffnen:
 ofile = open(newfile, "w").write(ifile)
 scribus.openDoc(newfile)
